Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.util
Class Scoring

    java.lang.Object
      org.basex.query.util.Scoring

    public final class Scoring

extends java.lang.Object

Scoring class, assembling all scoring calculations. Current scoring model is very simple.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Field Summary
`static double` | `DEFAULT` Default scoring value.
`static double` | `LOG` Logarithmic base for calculating the score value.

Method Summary
`static double` | `and(double s1, double s2)` Combines two scoring values.
`static double` | `finish(double s)` Creates a final scoring value.
`static double` | `or(double s1, double s2)` Combines two scoring values.
`static double` | `step(double s)` Returns a scoring after a location step traversal.
`static double` | `word(int tl, double l)` Calculates a score value, based on the token length and complete text length.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final double DEFAULT

  Default scoring value.

  See Also:
    Constant Field Values

### LOG

    public static final double LOG

  Logarithmic base for calculating the score value.

  See Also:
    Constant Field Values

Method Detail

### step

    public static double step(double s)

  Returns a scoring after a location step traversal.

  Parameters:
    `s` - input value
  Returns:
    result

### word

    public static double word(int tl,
                              double l)

  Calculates a score value, based on the token length and complete text length.

  Parameters:
    `tl` - token length
    `l` - complete length
  Returns:
    result

### and

    public static double and(double s1,
                             double s2)

  Combines two scoring values.

  Parameters:
    `s1` - first value
    `s2` - second value
  Returns:
    result

### or

    public static double or(double s1,
                            double s2)

  Combines two scoring values.

  Parameters:
    `s1` - first value
    `s2` - second value
  Returns:
    result

### finish

    public static double finish(double s)

  Creates a final scoring value.

  Parameters:
    `s` - input value
  Returns:
    result

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD